package com.yeejoin.amos.boot.module.hygf.api.config;

import java.io.Serializable;
import java.util.List;
import java.util.Vector;

/**
 * @description:
 * @author: tw
 * @createDate: 2023/11/9
 */
public class UserEmpowerThreadLocalModel implements Serializable {
    private static final long serialVersionUID = 1L;

    private List<String> threadLocalData;

    public List<String> getThreadLocalData() {
        return threadLocalData;
    }

    public void setDataAuthRule(List<String> threadLocalData) {
        this.threadLocalData = threadLocalData;
    }

    public void clean() {
        this.threadLocalData = null;
    }

}
